Project

General

Profile

ttrss_download_error.txt

Aaron St. John, 06/14/2018 07:14 AM

 
1
Error: concurrent.futures.process._RemoteTraceback: 
2
"""
3
Traceback (most recent call last):
4
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 86, in fetch_plugin
5
    with open(_json, "r") as j:
6
FileNotFoundError: [Errno 2] No such file or directory: '/mnt/iocage/.plugin_index/tt-rss.json'
7

    
8
During handling of the above exception, another exception occurred:
9

    
10
Traceback (most recent call last):
11
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
12
    r = call_item.fn(*call_item.args, **call_item.kwargs)
13
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 119, in main_worker
14
    res = loop.run_until_complete(coro)
15
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
16
    return future.result()
17
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 79, in _run
18
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
19
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 72, in _call
20
    return methodobj(*params)
21
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 72, in _call
22
    return methodobj(*params)
23
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 650, in nf
24
    return f(*args, **kwargs)
25
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 230, in fetch
26
    iocage.fetch(**options)
27
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
28
    props, accept_license=accept, official=official)
29
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
30
    props, 0, accept_license)
31
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 96, in fetch_plugin
32
    silent=self.silent)
33
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
34
    _callback({"level": level, "message": msg}, exit_on_error)
35
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 61, in callback
36
    raise RuntimeError(message)
37
RuntimeError: /mnt/iocage/.plugin_index/tt-rss.json was not found!
38
"""
39

    
40
The above exception was the direct cause of the following exception:
41

    
42
Traceback (most recent call last):
43
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
44
    await self.future
45
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
46
    return self.gen.throw(type, value, traceback)
47
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
48
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
49
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
50
    return self.gen.throw(type, value, traceback)
51
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 978, in _call_worker
52
    job,
53
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
54
    return self.gen.throw(type, value, traceback)
55
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
56
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
57
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
58
    return self.gen.throw(type, value, traceback)
59
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
60
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
61
RuntimeError: /mnt/iocage/.plugin_index/tt-rss.json was not found!